Event actions (ignore, remediate, etc.)
curl --request POST \
--url https://api.flare.io/firework/v4/events/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": {
"type": "<string>"
},
"targets": [
{
"uid": "<string>"
}
]
}
'import requests
url = "https://api.flare.io/firework/v4/events/actions"
payload = {
"action": { "type": "<string>" },
"targets": [{ "uid": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: {type: '<string>'}, targets: [{uid: '<string>'}]})
};
fetch('https://api.flare.io/firework/v4/events/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Events
Event actions (ignore, remediate, etc.)
POST
/
firework
/
v4
/
events
/
actions
Event actions (ignore, remediate, etc.)
Apply an action to a list of events (ignore, remediate, etc.).
Body parameters
The action applied to events.
Hide child attributes
Hide child attributes
Hide valid types
Hide valid types
ignore
remediate
unignore
unremediateWas this page helpful?
⌘I